package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 处理状态
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum DealStatusEnum implements BaseEnum<String, DealStatusEnum> {
    DOING("处理中"),
    SUCCESS("成功"),
    FAILED("失败");
    @EnumValue
    private String code;
    private String name;

    DealStatusEnum(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }
}